# AUTOGENERATED! DO NOT EDIT! File to edit: 00_core.ipynb (unless otherwise specified).

__all__ = ['URLS', 'get_example_dataset', 'get_external_dataset', 'get_example_dataset', 'get_external_dataset']

# Cell
import numpy as np
import pandas as pd

from sklearn.datasets import make_classification
from sklearn.model_selection import train_test_split as tts

URLS = {}
URLS['BREAST_CANCER'] = 'https://archive.ics.uci.edu/ml/machine-learning-databases/breast-cancer-wisconsin/breast-cancer-wisconsin.data'

# Cell
def get_example_dataset(SEED):
    X, y = make_classification(n_samples = 100, n_features=5, random_state=SEED)
    Xtr, Xte, ytr, yte = tts(X, y, test_size=0.2, random_state=SEED)

    return Xtr, Xte, ytr, yte

# Cell
def get_external_dataset(url):
    if url == URLS['BREAST_CANCER']:
        data = pd.read_csv(url, header=None)
        columns = ['code_number',
                   'clump_thickness',
                   'cell_size_uniformity',
                   'cell_shape_uniformity',
                   'marginal_adhesion',
                   'single_epithelial_cell_size',
                   'bare_nuclei',
                   'bland_chromatin',
                   'normal_nucleoli',
                   'mitoses',
                   'target'
                  ]
        data.columns = columns
        return data